Bug 277277 - crashes on startup [@ CollectionTreeItem::isVariousArtistItem]
Summary: crashes on startup [@ CollectionTreeItem::isVariousArtistItem]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Collections/Local (show other bugs)
Version: 2.4-GIT
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: 2.4.2
Assignee: Amarok Developers
URL:
Keywords: regression, release_blocker
Depends on:
Blocks:
 
Reported: 2011-07-07 09:19 UTC by Gerhard den Hollander
Modified: 2011-07-09 20:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerhard den Hollander 2011-07-07 09:19:29 UTC
Application: amarok (2.4-GIT)
KDE Platform Version: 4.6.5 (4.6.5)
Qt Version: 4.7.3
Operating System: Linux 2.6.37.6-0.5-desktop x86_64
Distribution: "openSUSE 11.4 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

Started amarok,
immediately crashes

crash backtrace indicates a NULL pointer in CollectionTreeItem::isVariousArtistIte

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f1826d797a0 (LWP 28967))]

Thread 17 (Thread 0x7f1805d42700 (LWP 28970)):
#0  0x00007f1823532503 in poll () from /lib64/libc.so.6
#1  0x00007f181acd14df in ?? () from /usr/lib64/libpulse.so.0
#2  0x00007f181acc32a6 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
#3  0x00007f181acc38d9 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f181acc3990 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f181acd147b in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f1816a0dcf8 in ?? () from /usr/lib64/libpulsecommon-0.9.22.so
#7  0x00007f1818093853 in ?? () from /usr/X11R6/lib64/libGL.so.1
#8  0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f182353b67d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f17f7e10700 (LWP 28972)):
#0  0x00007f18216d138c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f17f8c7a6b9 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007f17f8c79376 in os_aio_simulated_handle () from /usr/lib64/libmysqld.so.0
#3  0x00007f17f8c38eea in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007f17f8cb4120 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f182353b67d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f17f59f9700 (LWP 28973)):
#0  0x00007f18216d138c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f17f8c7a6b9 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007f17f8c79376 in os_aio_simulated_handle () from /usr/lib64/libmysqld.so.0
#3  0x00007f17f8c38eea in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007f17f8cb4120 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f182353b67d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f17f51f8700 (LWP 28974)):
#0  0x00007f18216d138c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f17f8c7a6b9 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007f17f8c79376 in os_aio_simulated_handle () from /usr/lib64/libmysqld.so.0
#3  0x00007f17f8c38eea in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007f17f8cb4120 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f182353b67d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f17f49f7700 (LWP 28975)):
#0  0x00007f18216d138c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f17f8c7a6b9 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007f17f8c79376 in os_aio_simulated_handle () from /usr/lib64/libmysqld.so.0
#3  0x00007f17f8c38eea in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007f17f8cb4120 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f182353b67d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f17f35ee700 (LWP 28977)):
#0  0x00007f1823534c73 in select () from /lib64/libc.so.6
#1  0x00007f17f8c7aebb in os_thread_sleep () from /usr/lib64/libmysqld.so.0
#2  0x00007f17f8cb2d9a in srv_lock_timeout_thread () from /usr/lib64/libmysqld.so.0
#3  0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f182353b67d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f17f2ded700 (LWP 28978)):
#0  0x00007f1823534c73 in select () from /lib64/libc.so.6
#1  0x00007f17f8c7aebb in os_thread_sleep () from /usr/lib64/libmysqld.so.0
#2  0x00007f17f8cb30d5 in srv_error_monitor_thread () from /usr/lib64/libmysqld.so.0
#3  0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f182353b67d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f17f25ec700 (LWP 28979)):
#0  0x00007f1823534c73 in select () from /lib64/libc.so.6
#1  0x00007f17f8c7aebb in os_thread_sleep () from /usr/lib64/libmysqld.so.0
#2  0x00007f17f8cb2a02 in srv_monitor_thread () from /usr/lib64/libmysqld.so.0
#3  0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f182353b67d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f17f1deb700 (LWP 28980)):
#0  0x00007f18216d138c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f17f8c7a6b9 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007f17f8cb3712 in srv_master_thread () from /usr/lib64/libmysqld.so.0
#3  0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f182353b67d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f17f15ea700 (LWP 28981)):
#0  0x00007f1823532503 in poll () from /lib64/libc.so.6
#1  0x00007f181d293114 in ?? () from /lib64/libglib-2.0.so.0
#2  0x00007f181d293650 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#3  0x00007f1824b21286 in QEventDispatcherGlib::processEvents (this=0x15e0670, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f1824af58d2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f1824af5ae5 in QEventLoop::exec (this=0x7f17f15e9ce0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f1824a0a7a4 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007f1824ad7008 in QInotifyFileSystemWatcherEngine::run (this=0x15a3d80) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f1824a0d095 in QThreadPrivate::start (arg=0x15a3d80) at thread/qthread_unix.cpp:320
#9  0x00007f1818093853 in ?? () from /usr/X11R6/lib64/libGL.so.1
#10 0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f182353b67d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f17efa78700 (LWP 28982)):
#0  0x00007f18216d138c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1824a0d77b in wait (this=<value optimized out>, mutex=0x1ec4670, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1ec4670, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f1820afc254 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e48a90, th=0x1e49110) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f1820aff2a5 in waitForAvailableJob (this=0x1e8f010, th=0x1e49110) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/WeaverImpl.cpp:356
#5  ThreadWeaver::WorkingHardState::applyForWork (this=0x1e8f010, th=0x1e49110) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f1820afc64f in ThreadWeaver::ThreadRunHelper::run (this=0x7f17efa77d30, parent=0x1e48a90, th=0x1e49110) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:87
#7  0x00007f1820afc6d8 in ThreadWeaver::Thread::run (this=0x1e49110) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:142
#8  0x00007f1824a0d095 in QThreadPrivate::start (arg=0x1e49110) at thread/qthread_unix.cpp:320
#9  0x00007f1818093853 in ?? () from /usr/X11R6/lib64/libGL.so.1
#10 0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f182353b67d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f17ef06c700 (LWP 28983)):
#0  0x00007f18216d138c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1824a0d77b in wait (this=<value optimized out>, mutex=0x1ec4670, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1ec4670, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f1820afc254 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e48a90, th=0x1ef46c0) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f1820aff2a5 in waitForAvailableJob (this=0x1e8f010, th=0x1ef46c0) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/WeaverImpl.cpp:356
#5  ThreadWeaver::WorkingHardState::applyForWork (this=0x1e8f010, th=0x1ef46c0) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f1820aff2be in ThreadWeaver::WorkingHardState::applyForWork (this=0x1e8f010, th=0x1ef46c0) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f1820afc64f in ThreadWeaver::ThreadRunHelper::run (this=0x7f17ef06bd30, parent=0x1e48a90, th=0x1ef46c0) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:87
#8  0x00007f1820afc6d8 in ThreadWeaver::Thread::run (this=0x1ef46c0) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:142
#9  0x00007f1824a0d095 in QThreadPrivate::start (arg=0x1ef46c0) at thread/qthread_unix.cpp:320
#10 0x00007f1818093853 in ?? () from /usr/X11R6/lib64/libGL.so.1
#11 0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#12 0x00007f182353b67d in clone () from /lib64/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f17ee86b700 (LWP 28984)):
#0  0x00007f18216d138c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1824a0d77b in wait (this=<value optimized out>, mutex=0x1ec4670, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1ec4670, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f1820afc254 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e48a90, th=0x1ef67e0) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f1820aff2a5 in waitForAvailableJob (this=0x1e8f010, th=0x1ef67e0) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/WeaverImpl.cpp:356
#5  ThreadWeaver::WorkingHardState::applyForWork (this=0x1e8f010, th=0x1ef67e0) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f1820afc64f in ThreadWeaver::ThreadRunHelper::run (this=0x7f17ee86ad30, parent=0x1e48a90, th=0x1ef67e0) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:87
#7  0x00007f1820afc6d8 in ThreadWeaver::Thread::run (this=0x1ef67e0) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:142
#8  0x00007f1824a0d095 in QThreadPrivate::start (arg=0x1ef67e0) at thread/qthread_unix.cpp:320
#9  0x00007f1818093853 in ?? () from /usr/X11R6/lib64/libGL.so.1
#10 0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f182353b67d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f17ee06a700 (LWP 28985)):
#0  0x00007f18216d138c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f1824a0d77b in wait (this=<value optimized out>, mutex=0x1ec4670, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1ec4670, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f1820afc254 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1e48a90, th=0x1eb3490) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f1820aff2a5 in waitForAvailableJob (this=0x1e8f010, th=0x1eb3490) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/WeaverImpl.cpp:356
#5  ThreadWeaver::WorkingHardState::applyForWork (this=0x1e8f010, th=0x1eb3490) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/WorkingHardState.cpp:71
#6  0x00007f1820afc64f in ThreadWeaver::ThreadRunHelper::run (this=0x7f17ee069d30, parent=0x1e48a90, th=0x1eb3490) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:87
#7  0x00007f1820afc6d8 in ThreadWeaver::Thread::run (this=0x1eb3490) at /usr/src/debug/kdelibs-4.6.5/threadweaver/Weaver/Thread.cpp:142
#8  0x00007f1824a0d095 in QThreadPrivate::start (arg=0x1eb3490) at thread/qthread_unix.cpp:320
#9  0x00007f1818093853 in ?? () from /usr/X11R6/lib64/libGL.so.1
#10 0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f182353b67d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f17ed226700 (LWP 28986)):
#0  0x00007f18216d138c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f181a2231d4 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtWebKit.so.4
#2  0x00007f1818093853 in ?? () from /usr/X11R6/lib64/libGL.so.1
#3  0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#4  0x00007f182353b67d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f17eb0fe700 (LWP 28991)):
#0  0x00007f18216d138c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f181fb39004 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f181fe52180) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f181fb39039 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f181fe60254) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f1818093853 in ?? () from /usr/X11R6/lib64/libGL.so.1
#4  0x00007f18216cca3f in start_thread () from /lib64/libpthread.so.0
#5  0x00007f182353b67d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f1826d797a0 (LWP 28967)):
[KCrash Handler]
#6  CollectionTreeItem::isVariousArtistItem (this=0x0) at /usr/src/debug/amarok-2.4.1.60git.1309276846/src/browsers/CollectionTreeItem.cpp:252
#7  0x00007f18257aa2a1 in CollectionSortFilterProxyModel::lessThan (this=<value optimized out>, left=<value optimized out>, right=<value optimized out>) at /usr/src/debug/amarok-2.4.1.60git.1309276846/src/browsers/CollectionSortFilterProxyModel.cpp:60
#8  0x00007f1824453d4c in operator() (begin=0x7f180007e520, pivot=<value optimized out>, end=<value optimized out>, t=<value optimized out>, lessThan=...) at itemviews/qsortfilterproxymodel.cpp:80
#9  QAlgorithmsPrivate::qMerge<int*, int const, QSortFilterProxyModelLessThan> (begin=0x7f180007e520, pivot=<value optimized out>, end=<value optimized out>, t=<value optimized out>, lessThan=...) at ../../src/corelib/tools/qalgorithms.h:424
#10 0x00007f1824453ec2 in QAlgorithmsPrivate::qStableSortHelper<int*, int, QSortFilterProxyModelLessThan> (begin=0x7f180007e520, end=0x7f180007e528, t=@0x7f180007e520, lessThan=...) at ../../src/corelib/tools/qalgorithms.h:459
#11 0x00007f1824453e02 in QAlgorithmsPrivate::qStableSortHelper<int*, int, QSortFilterProxyModelLessThan> (begin=0x7f180007e520, end=0x7f180007e534, t=@0x7f180007e520, lessThan=...) at ../../src/corelib/tools/qalgorithms.h:457
#12 0x00007f1824453e02 in QAlgorithmsPrivate::qStableSortHelper<int*, int, QSortFilterProxyModelLessThan> (begin=0x7f180007e520, end=0x7f180007e54c, t=@0x7f180007e520, lessThan=...) at ../../src/corelib/tools/qalgorithms.h:457
#13 0x00007f1824453e02 in QAlgorithmsPrivate::qStableSortHelper<int*, int, QSortFilterProxyModelLessThan> (begin=0x7f180007e520, end=0x7f180007e57c, t=@0x7f180007e520, lessThan=...) at ../../src/corelib/tools/qalgorithms.h:457
#14 0x00007f1824453e02 in QAlgorithmsPrivate::qStableSortHelper<int*, int, QSortFilterProxyModelLessThan> (begin=0x7f180007e520, end=0x7f180007e5d8, t=@0x7f180007e520, lessThan=...) at ../../src/corelib/tools/qalgorithms.h:457
#15 0x00007f1824453e02 in QAlgorithmsPrivate::qStableSortHelper<int*, int, QSortFilterProxyModelLessThan> (begin=0x7f180007e520, end=0x7f180007e694, t=@0x7f180007e520, lessThan=...) at ../../src/corelib/tools/qalgorithms.h:457
#16 0x00007f1824453e02 in QAlgorithmsPrivate::qStableSortHelper<int*, int, QSortFilterProxyModelLessThan> (begin=0x7f180007e520, end=0x7f180007e80c, t=@0x7f180007e520, lessThan=...) at ../../src/corelib/tools/qalgorithms.h:457
#17 0x00007f182444cbb1 in qStableSort<int*, QSortFilterProxyModelLessThan> (this=<value optimized out>, source_rows=..., source_parent=<value optimized out>) at ../../src/corelib/tools/qalgorithms.h:212
#18 QSortFilterProxyModelPrivate::sort_source_rows (this=<value optimized out>, source_rows=..., source_parent=<value optimized out>) at itemviews/qsortfilterproxymodel.cpp:464
#19 0x00007f182444f360 in QSortFilterProxyModelPrivate::source_items_inserted (this=0x16ff0c0, source_parent=..., start=<value optimized out>, end=<value optimized out>, orient=Qt::Vertical) at itemviews/qsortfilterproxymodel.cpp:803
#20 0x00007f182444f69f in QSortFilterProxyModelPrivate::_q_sourceRowsInserted (this=0x16ff0c0, source_parent=<value optimized out>, start=<value optimized out>, end=<value optimized out>) at itemviews/qsortfilterproxymodel.cpp:1278
#21 0x00007f182445154c in QSortFilterProxyModel::qt_metacall (this=0x1a32860, _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0x7fffb00c3f10) at .moc/release-shared/moc_qsortfilterproxymodel.cpp:135
#22 0x00007f1824b0aa5f in QMetaObject::activate (sender=0x17821d0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fffb00c3f10) at kernel/qobject.cpp:3278
#23 0x00007f1824b52a94 in QAbstractItemModel::rowsInserted (this=<value optimized out>, _t1=<value optimized out>, _t2=1, _t3=187) at .moc/release-shared/moc_qabstractitemmodel.cpp:181
#24 0x00007f1824af0bcc in QAbstractItemModel::endInsertRows (this=0x17821d0) at kernel/qabstractitemmodel.cpp:2412
#25 0x00007f18257b7042 in CollectionTreeItemModelBase::populateChildren (this=0x17821d0, dataList=..., parent=0x17ee8f0, parentIndex=...) at /usr/src/debug/amarok-2.4.1.60git.1309276846/src/browsers/CollectionTreeItemModelBase.cpp:893
#26 0x00007f18257b7e54 in CollectionTreeItemModelBase::handleNormalQueryResult (this=0x17821d0, qm=0x1af08f0, dataList=...) at /usr/src/debug/amarok-2.4.1.60git.1309276846/src/browsers/CollectionTreeItemModelBase.cpp:809
#27 0x00007f18257b81b8 in CollectionTreeItemModelBase::newResultReady (this=0x17821d0, collectionId=<value optimized out>, data=...) at /usr/src/debug/amarok-2.4.1.60git.1309276846/src/browsers/CollectionTreeItemModelBase.cpp:682
#28 0x00007f18257b7c6b in CollectionTreeItemModelBase::qt_metacall (this=0x17821d0, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0x7dd040) at /usr/src/debug/amarok-2.4.1.60git.1309276846/build/src/CollectionTreeItemModelBase.moc:94
#29 0x00007f18257ad520 in CollectionTreeItemModel::qt_metacall (this=0x17821d0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7dd040) at /usr/src/debug/amarok-2.4.1.60git.1309276846/build/src/CollectionTreeItemModel.moc:73
#30 0x00007f1824b0a37a in QObject::event (this=0x17821d0, e=<value optimized out>) at kernel/qobject.cpp:1217
#31 0x00007f1823ebe144 in QApplicationPrivate::notify_helper (this=0x7e2610, receiver=0x17821d0, e=0x2413180) at kernel/qapplication.cpp:4462
#32 0x00007f1823ec66fa in QApplication::notify (this=<value optimized out>, receiver=0x17821d0, e=0x2413180) at kernel/qapplication.cpp:4341
#33 0x00007f182670b346 in KApplication::notify (this=0x7fffb00c4d60, receiver=0x17821d0, event=0x2413180) at /usr/src/debug/kdelibs-4.6.5/kdeui/kernel/kapplication.cpp:311
#34 0x00007f1824af647c in QCoreApplication::notifyInternal (this=0x7fffb00c4d60, receiver=0x17821d0, event=0x2413180) at kernel/qcoreapplication.cpp:731
#35 0x00007f1824af9c75 in sendEvent (receiver=0x0, event_type=0, data=0x626f30) at kernel/qcoreapplication.h:215
#36 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x626f30) at kernel/qcoreapplication.cpp:1372
#37 0x00007f1824b21093 in sendPostedEvents (s=0x7e6690) at kernel/qcoreapplication.h:220
#38 postEventSourceDispatch (s=0x7e6690) at kernel/qeventdispatcher_glib.cpp:277
#39 0x00007f181d292bd3 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#40 0x00007f181d2933b0 in ?? () from /lib64/libglib-2.0.so.0
#41 0x00007f181d293650 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#42 0x00007f1824b2122f in QEventDispatcherGlib::processEvents (this=0x62c5c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#43 0x00007f1823f63bae in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#44 0x00007f1824af58d2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#45 0x00007f1824af5ae5 in QEventLoop::exec (this=0x7fffb00c4cc0, flags=...) at kernel/qeventloop.cpp:201
#46 0x00007f1824af9f2b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#47 0x000000000040e2da in main (argc=1, argv=0x7fffb00c7368) at /usr/src/debug/amarok-2.4.1.60git.1309276846/src/main.cpp:289

Reported using DrKonqi
Comment 1 Ralf Engels 2011-07-09 19:54:57 UTC
Git commit 264b122153f7fc4b6a0ea66408c37ad2e7671cf5 by Ralf Engels.
Committed on 08/07/2011 at 10:38.
Pushed by rengels into branch 'master'.

Fix crash in collection on startup

BUG:277277

M  +2    -2    src/browsers/CollectionSortFilterProxyModel.cpp     

http://commits.kde.org/amarok/264b122153f7fc4b6a0ea66408c37ad2e7671cf5